/* $Id: SmlNodeList.java 125 2011-03-09 09:49:51Z ohura $ */
/*
 * 作成日： 2004/10/29
 *
 * TODO この生成されたファイルのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 */
package sml_editor.node;

import java.util.Vector;

/**
 * @author kawamura
 *
 * TODO この生成された型コメントのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 */
public class SmlNodeList {
	private Vector fChildren;

	public SmlNodeList() {
		fChildren = new Vector();
	}
	
	public SmlNodeList(Vector children) {
		fChildren = children;
	}

	public int getLength() {
		return fChildren.size();
	}
	
	public SmlNode item(int index) {
		try {
			return (SmlNode)fChildren.get(index);
		} catch (ArrayIndexOutOfBoundsException e) {
			return null;
		}
	}
}
